/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package InventoryMgmt.StorageUnit;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype place */
public class StorageUnit {
    public void addQtyOfContent() {
    }

    /**  */
    public void removeQtyOfContentHonoringHolds() {
    }

    public void moveQtyOfContentHonoringHolds() {
    }

    public BigDecimal calcCostOfContents() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTurnover() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgTurnoverOfSubUnits() {
        return new BigDecimal(0);
    }

    public void notifyWhenNearingCapacity() {
    }

    public void notifyAboutInactiveStock() {
    }

    public void planRouteThroughSubUnits() {
    }

    public Vector listContents() {
        return new Vector();
    }

    public Vector listSubStorageUnits() {
        return new Vector();
    }

    private String name;
    private String address;
    private int layout;
    private String internalDimensions;
    private String externalDimensions;
    private int weightLimit;
    private BigDecimal costPerYear;
    private int customCapacityWarningThreshold;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 0..*
     * @supplierRole smaller
     * @clientRole larger
     * @clientCardinality 0..1
     */
    private StorageUnit lnkUnnamed;

    /**
     *@shapeType AggregationLink
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private StorageUnitDetail lnkUnnamed1;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 1
     */
    private StorageUnitDesc lnkUnnamed2;
}


